"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getShadowingIdentifiers = getShadowingIdentifiers;

// Get all identifiers in the given `VariableDeclaration` that would shadow
// identifiers defined in a higher scope.
function getShadowingIdentifiers(declarationPath) {
  if (!declarationPath.scope.parent) return [];

  return function () {
    var _arr = [];

    for (var _arr3 = declarationPath.node.declarations, _i2 = 0, _len3 = _arr3.length; _i2 < _len3; _i2++) {
      for (var _obj2 = declarationPath.get(`declarations.${_i2}`).getBindingIdentifiers(), _i3 = 0, _keys2 = Object.keys(_obj2), _len4 = _keys2.length; _i3 < _len4; _i3++) {
        var _k2 = _keys2[_i3];
        var _id = _obj2[_k2];

        if (declarationPath.scope.parent.hasBinding(_id.name)) _arr.push(_id);
      }
    }

    return _arr;
  }();
}